# A Note on Contact Locations

> To determine the location for a specific contact, connect the `position_location_id` in the People API response with the matching `location_id` in the addresses array. All required information is in the single API response.
>
> A contact record is returned with an `addresses` array. This is an array of addresses belonging to the company with which the contact is associated. There is a field for each address called `is_hq`. Where this value is true, this is the HQ address. There is also a `location_id` for each address.
>
> For the contact itself, the `position_location_id` will map to the `location_id` of one of the provided addresses in the array for an HQ or branch location, to surface the contact’s specific location. We also include a `location` field, which is the city/state/country where that contact is located. This location field is also present for remote contacts and, in that case, is provided instead of a remote/personal address. The `location_type` field will tell you whether the contact is at the HQ (inc HQ fallback, which is default for lack of additional info), a branch, or remote.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.salesintel.io/salesintel-api-documentation/people-contact-apis/a-note-on-contact-locations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
